Loading...
Searching...
No Matches
caf::detail::is_same_ish< T, U > Struct Template Reference

Compares T to U und evaluates to true_type if either T == U or if T and U are both integral types of the same size and signedness. More...

`#include <type_traits.hpp>`

## Detailed Description

template<class T, typename U>
struct caf::detail::is_same_ish< T, U >

Compares T to U und evaluates to true_type if either T == U or if T and U are both integral types of the same size and signedness.

This works around the issue that uint8_t != unsigned char on some compilers.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp